Native asset mints and burns
curl --request GET \
--url https://mainnet.gomaestro-api.org/v1/assets/{asset}/mints \
--header 'api-key: <api-key>'import requests
url = "https://mainnet.gomaestro-api.org/v1/assets/{asset}/mints"
headers = {"api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'api-key': '<api-key>'}};
fetch('https://mainnet.gomaestro-api.org/v1/assets/{asset}/mints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"tx_hash": "257916e7ae112cf16f27218e41bfa37c018bab922354201b3b38c9a24c35ab33",
"slot": 55718892,
"timestamp": "2022-03-14 19:13:03",
"amount": "1"
}
],
"last_updated": {
"timestamp": "2023-10-18 07:30:52",
"block_hash": "0e1e924710135acfe200ab13d290bd282a67584fd54456f0dcac0aeaa38bb2c2",
"block_slot": 106047961
},
"next_cursor": null
}Assets
Native asset mints and burns
Get minting and burning history for a specific Cardano native asset including transaction details and amounts.
GET
/
assets
/
{asset}
/
mints
Native asset mints and burns
Authorizations
Project API Key
Path Parameters
Asset, encoded as concatenation of hex of policy ID and asset name
Query Parameters
The max number of results per page
Required range:
x >= 0The order in which the results are sorted (by point in chain)
Available options:
asc, desc Return only transactions in blocks minted on or after a specific slot
Required range:
x >= 0Return only transactions in blocks minted on or before a specific slot
Required range:
x >= 0Pagination cursor string, use the cursor included in a page of results to fetch the next page
Response
Array of transactions with amounts of asset minted
A paginated response. Pass in the next_cursor in a subsequent request as the cursor query parameter to fetch the next page of results.
Was this page helpful?

